|  | reflex::FuzzyMatcher::BacktrackPoint Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::FuzzyMatcher::BacktrackPoint Struct Reference

Backtrack point. More...

`#include <fuzzymatcher.h>`

## Public Member Functions
| BacktrackPoint ()

## Public Attributes
const Pattern::Opcode * | pc0
| start of opcode More...
const Pattern::Opcode * | pc1
| pointer to opcode to rerun on backtracking More...
size_t | len
| length of string matched so far More...
uint8_t | err
| to restore errors More...
bool | alt
| true if alternating between pattern char substitution and insertion, otherwise insertion only More...
bool | sub
| flag alternates between pattern char substitution (true) and insertion (false) More...

## Detailed Description

Backtrack point.

## Constructor & Destructor Documentation

reflex::FuzzyMatcher::BacktrackPoint::BacktrackPoint | ( |  | ) |
| inline

## Member Data Documentation

bool reflex::FuzzyMatcher::BacktrackPoint::alt

true if alternating between pattern char substitution and insertion, otherwise insertion only

uint8_t reflex::FuzzyMatcher::BacktrackPoint::err

to restore errors

size_t reflex::FuzzyMatcher::BacktrackPoint::len

length of string matched so far

const Pattern::Opcode* reflex::FuzzyMatcher::BacktrackPoint::pc0

start of opcode

const Pattern::Opcode* reflex::FuzzyMatcher::BacktrackPoint::pc1

pointer to opcode to rerun on backtracking

bool reflex::FuzzyMatcher::BacktrackPoint::sub

flag alternates between pattern char substitution (true) and insertion (false)

The documentation for this struct was generated from the following file:

- fuzzymatcher.h